# Interface TextTrackSettingsComponentOptions

interface TextTrackSettingsComponentOptions {
className?: string;
content?: ModalContent;
description?: string;
fillAlways?: boolean;
label?: string;
name?: string;
pauseOnOpen?: boolean;
persistTextTrackSettings?: boolean;
temporary?: boolean;
uncloseable?: boolean;
}

#### Hierarchy (view full)

- ModalDialogComponentOptions
  - TextTrackSettingsComponentOptions

#####
Index

### Properties

className?
content?
description?
fillAlways?
label?
name?
pauseOnOpen?
persistTextTrackSettings?
temporary?
uncloseable?

## Properties

### `Optional` className

className?: string

Inherited from ModalDialogComponentOptions.className

### `Optional` content

content?: ModalContent

Inherited from ModalDialogComponentOptions.content

### `Optional` description

description?: string

Inherited from ModalDialogComponentOptions.description

### `Optional` fillAlways

fillAlways?: boolean

Inherited from ModalDialogComponentOptions.fillAlways

### `Optional` label

label?: string

Inherited from ModalDialogComponentOptions.label

### `Optional` name

name?: string

Inherited from ModalDialogComponentOptions.name

### `Optional` pauseOnOpen

pauseOnOpen?: boolean

Inherited from ModalDialogComponentOptions.pauseOnOpen

### `Optional` persistTextTrackSettings

persistTextTrackSettings?: boolean

### `Optional` temporary

temporary?: boolean

Inherited from ModalDialogComponentOptions.temporary

### `Optional` uncloseable

uncloseable?: boolean

Inherited from ModalDialogComponentOptions.uncloseable